# SuperLogger

Originally was going to be called "LogBomb". Just provides a very easy way to find debug messages in a log.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'super_logger'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install super_logger

## Configuration

Shown with default values:

```ruby
Configuration.configure do |config|
  config.delimiter      = "\n"
  config.line_length    = 50
  config.rule_character = '='
  config.log_path       = './default.log'
  config.logger         = Logger.new(log_path) # Rails.logger
end
```

## Usage

```ruby
SuperLogger.log('This is a log message', 'Key')
```

See [example.log](http://github.com/MatthewRDodds/super_logger/blob/master/example.log) for examples of that this looks like in the log.

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `bin/console` for an interactive prompt that will allow you to experiment.

## Contributing

1. Fork it ( https://github.com/[my-github-username]/super_logger/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
